Zum Hauptinhalt springen

Request the ACME certificate issuance of an Ingress

POST/v2/ingresses/{ingressId}/actions/request-acme-certificate-issuance
API-Version
v2
Request-Methode
POST
Operation-ID
ingress-request-ingress-acme-certificate-issuance

Request​

  • ingressIdstring (uuid)required

    UUID of the Ingress to request the issuance for.

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/ingresses/f0f86186-0a5a-45b2-aa33-502777496347/actions/request-acme-certificate-issuance
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.ingressRequestIngressAcmeCertificateIssuance({
"ingressId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\IngressRequestIngressAcmeCertificateIssuance\IngressRequestIngressAcmeCertificateIssuanceRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new IngressRequestIngressAcmeCertificateIssuanceRequest(
ingressId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->domain()->ingressRequestIngressAcmeCertificateIssuance($request);

var_dump($response->getBody();

Auf dieser Seite